package stackjava.com.springbootprofiles;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.EnableAutoConfiguration;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Profile;

@Configuration
@EnableAutoConfiguration
@ComponentScan({"stackjava.com.springbootprofiles"})

@SpringBootApplication
public class SpringBootProfilesApplication {

	public static void main(String[] args) {
		
//		SpringApplication application = new SpringApplication(SpringBootProfilesApplication.class);
//		ConfigurableEnvironment environment = new StandardEnvironment();
//		environment.setActiveProfiles("prod","test");
//		application.setEnvironment(environment);
//		application.run(args);
		SpringApplication.run(SpringBootProfilesApplication.class, args);
	}
	
	@Bean
	@Profile("dev")
	public String dev() {
		System.out.println("++++++++++++++ dev environment");
		return "dev";
	}
	@Bean
	@Profile("prod")
	public String prod() {
		System.out.println("++++++++++++++ prod environment");
		return "prod";
	}
	@Bean
	@Profile("test")
	public String test() {
		System.out.println("++++++++++++++ test environment");
		return "test";
	}
}
